%define api_version	2
%define lib_major	0
%define libname	%mklibname gnomecanvas %{api_version} %{lib_major}
%define libnamedev %mklibname -d gnomecanvas %{api_version}

Summary:	GnomeCanvas widget
Name:		libgnomecanvas
Version:        2.30.3
Release:        %mkrel 13
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	bison
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gail)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libart-2.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangoft2)
BuildRequires:	intltool

%description
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:	%name >= %version

%description -n %{libname}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains the main canvas library.


%package -n %{libnamedev}
Summary:	Development libraries and include files for GnomeCanvas widget
Group:		Development/GNOME and GTK+
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:  %mklibname -d gnomecanvas %{api_version} %{lib_major}
Provides:  %mklibname -d gnomecanvas %{api_version} %{lib_major}

%description -n %{libnamedev}
The GNOME canvas is an engine for structured graphics that offers a rich
imaging model, high performance rendering, and a powerful, high-level API.
It offers a choice of two rendering back-ends, one based on Xlib for
extremely fast display, and another based on Libart, a sophisticated,
antialiased, alpha-compositing engine. Applications have a choice between
the Xlib imaging model or a superset of the PostScript imaging model,
depending on the level of graphic sophistication required.

This package contains static library and header files for %{name}.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%{find_lang} %{name}-2.0

%files -f %{name}-2.0.lang

%files -n %{libname}
%{_libdir}/libgnomecanvas-%{api_version}.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog NEWS README AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 2.30.3-13.mga9
+ Revision: 1831775
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.30.3-12.mga8
+ Revision: 1514110
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.30.3-11.mga7
+ Revision: 1298876
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.30.3-10.mga7
+ Revision: 1233982
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 2.30.3-9.mga6
+ Revision: 930918
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.30.3-8.mga5
+ Revision: 742921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.30.3-7.mga5
+ Revision: 681495
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.30.3-6.mga4
+ Revision: 507020
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.30.3-5.mga3
+ Revision: 357249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 14 2011 fwang <fwang> 2.30.3-4.mga2
+ Revision: 143421
- drop .la files

* Sun Jun 26 2011 dmorgan <dmorgan> 2.30.3-3.mga2
+ Revision: 113842
- Add back .la files for now

* Thu Jun 09 2011 dmorgan <dmorgan> 2.30.3-2.mga2
+ Revision: 102505
- Remove la files

* Tue Feb 01 2011 dmorgan <dmorgan> 2.30.3-1.mga1
+ Revision: 46022
- New version

* Thu Jan 13 2011 blino <blino> 2.30.2-2.mga1
+ Revision: 8913
- remove old conflicts and ldconfig scriptlets
- imported package libgnomecanvas


* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 581474
- update to new version 2.30.2

* Thu Apr 01 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 530706
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 529730
- new version
- drop libglade support

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.0-3mdv2010.1
+ Revision: 520840
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.26.0-2mdv2010.0
+ Revision: 425551
- rebuild

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356682
- update to new version 2.26.0

* Sun Feb 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336053
- update to new version 2.25.90

* Fri Nov 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.20.1.1-4mdv2009.1
+ Revision: 300762
- rebuilt against new libxcb

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 2.20.1.1-3mdv2009.0
+ Revision: 254723
- update license
- fix build
- update build deps

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 2.20.1.1-2mdv2008.1
+ Revision: 190543
- Fix lib group

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.1.1-1mdv2008.1
+ Revision: 100700
- new version

* Sat Oct 13 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 98030
- new version

* Sun Sep 30 2007 Anssi Hannula <anssi@mandriva.org> 2.20.0-3mdv2008.0
+ Revision: 94039
- add a conflict on old 32bit libgnomecanvas2_0 on 64bit libgnomecanvas to
  ensure smooth upgrade on biarch systems

* Thu Sep 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 93299
- Add provides for obsoletes package, fix big transaction when upgrading

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89359
- new version

* Wed Aug 15 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 63643
- new version
- new devel name

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-3mdv2008.0
+ Revision: 53755
- add conflict for upgrades

* Thu Jul 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 53448
- split out translation files to extra package

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 51217
- new version
- drop patch

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-2mdv2008.0
+ Revision: 50943
- fix pkgconfig file

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 50919
- fix buildrequires
- new version


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.0
+ Revision: 108959
- Import libgnomecanvas

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-2mdv2007.1
- Rebuild

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- remove patch0 (merged upstream)

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- use mkrel

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdk
- Patch0 (CVS): fix slowness is pixbuf rendering

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.10.0

* Thu May 26 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- reenable libtoolize
- drop merged patch
- New release 2.10.2

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Patch0: fix crash from evolution (Mdk bug #16145)

* Sat May 21 2005 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- New release 2.10.1

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.1.0-1mdk 
- Release 2.10.0 (based on Götz Waschk package)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Thu Apr 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- New release 2.6.1.1

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Enforce libglade 2.3.x dependency

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Götz Waschk help)
- update file list

